<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('comp_actions', function (Blueprint $table) {
             $table->bigIncrements('CA_ID');  // Primary key
            $table->string('CA_Desc', 500);   // Action description
            $table->string('Ca_Flag', 1);    // Flag (e.g., 'A' for active, 'I' for inactive)
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('comp_actions');
    }
};
